<?php 

unset($tags);
$tags[101] = array('База данных','Безопасность','Видеокарта','Дизайн','Единица измерения','Имя собственное','Интернет','Криптография','Манипуляторы','Материнская плата','Монитор','Мультимедиа','Оборудование','ОЗУ','ОС','ПО','Привод','Программирование','Протокол','Процессор','Сеть','Телефония','Файл','Уязвимость','HDD','Unix','Windows','Wireless','Кабель', 'Другое', 'Типография', 'Кино', 'Звук');
$tags[103] = array('Шрифт и текст','Границы','Звук','Цвет и изображения','Таблицы','Элемент','Другое', 'Псевдоклассы', 'At-правило', 'CSS&nbsp;1', 'CSS&nbsp;2', 'Генерация содержимого', 'Страничный блок', 'IE&nbsp;6.0', '~IE&nbsp;6.0', '~Opera&nbsp;5', 'Наследуется', 'Блочный', 'Строчный', 'Позиционированный');
$tags[105] = array('Windows', 'Программы', 'Взлом', 'Компьютеры', 'Сеть', 'Интернет', 'Программирование', 'Сайт', 'Поиск', 'IE', 'Opera', 'Firefox', 'Внутренние', 'Рабочий');
$tags[107] = array('Массив', 'Переменная', 'Строка', 'Файловая система', 'Сортировка', 'Ошибка', 'Печать', 'Поиск', 'Удаление', 'Замена', 'Создание', 'Сравнение', 'Инициализация', 'Размер', 'Тип', 'Сеанс','Время', 'Директива', 'Позиция', 'Другое', 'Константа', 'База данных', 'Файл', 'Каталог', 'Соединение', 'Изображение', 'RegExp', 'PHP5', 'PHP4', 'PHP4.0.x', 'PHP4.1.x', 'PHP4.2.x', 'PHP4.3.x', 'PHP3.0.x', 'PHP5.1.x', '~PHP4', 'PHP5.0.x', 'PECL', '~PHP4.2.x');
$tags[109] = array('Безопасность', 'Сеанс', 'Cookie', 'Расположение', 'Строка', 'База данных', 'Библиотека', 'Сервер', 'Функция', 'Ошибка', 'Печать', 'Другое', 'Файл', 'Ресурсы', 'Синтаксис', 'php.ini', 'Firefox', 'IRC', 'iСервис', 'Google', 'Yandex', 'Апорт', 'Рамблер', 'Google Desktop');
$tags[111] = array('Право');
$tags[113] = array('Переменная', 'String', 'Images', 'Date', 'Array', 'RegExp', 'Math', 'TextRange', 'Свойство', 'Другое', 'XDomainRequest', 'XMLHttpRequest', 'Событие');
$tags[115] = array('Время', 'Math', 'Переменная');
$tags[117] = array('Расположение', 'Файл', 'Аутентификация');
$tags[119] = array('Свойство');
$tags[121] = array('Функция', 'Сравнение', 'Преобразование', 'Число', 'Строка', 'Время', 'Math', 'Другое', 'Безопасность', 'Размер', 'Поиск', 'База данных', 'Оператор', '3.22.X', '4.0.X', '4.1.X', '3.21.X', '3.23.X', 'In&nbsp;where');
$tags[123] = array('Событие', 'Фильтр');
$tags[125] = array('DefaultInstall', 'Реестр', 'Файл и папка', 'Другое', 'Version' , 'DefaultInstall.Services', 'Расширенный', 'Раздел', 'Оборудование');
$tags[127] = array('Логический', 'Форматирование', 'Физический', 'Блочный', 'Устаревший', 'Одинарный', 'Таблицы', 'HEAD', 'Списки', 'Формы', 'Другое');
$tags[131] = array('Библиотека', 'Программа', 'Другое', 'Графические', 'Диалоги', 'Службы', 'Командная  строка', 'Апплеты', 'MMC', 'DllRegisterServer', 'DllUnRegisterServer', 'DllInstall', 'Perfmon', 'Каталог', '~Vista', 'Драйвер', 'Windows');
$tags[133] = array('Windows', 'iСервис', 'Клавиши', 'Мышь', 'Голос');
$tags[135] = array('~Vista', 'Vista');
$tags[141] = array('Служба', 'Драйверы', 'Файлы', 'COM', 'Оборудование', 'Безопасность', 'Сетевые подключения', 'Сетевые возможности', 'Интернет', 'Другое');
$tags[143] = array('Другое', 'Безопасность', 'Программы', 'Конфигурация', 'Сеть', 'Оборудование');
$tags[145] = array('Метод', 'Событие', 'Только для чтения');
$tags[149] = array('~HKCU', '~HKLM', 'XP', '2003', 'Vista', 'Архивация', 'Безопасность', 'Вход/выход', 'Время', 'Значки', 'Инсталляция', 'Конфигурация', 'Мониторинг', 'Оболочка', 'Оборудование', 'Окна', 'Поиск', 'Рабочий стол', 'Сеть', 'Локализация', 'GPO', 'Файловая система', 'IE', 'Windows Media', 'Media Center', 'Outlook', 'Windows', 'Приложения', 'Mobile');
$tags[151] = array('Vista', 'Оборудование', 'Программы', 'Internet Explorer', 'Сеть', 'Media Center', 'Hibernate', 'Компоненты', 'Другое', 'x64', 'Производительность', 'Безопасность', 'Windows Media', 'Почта Windows', 'Надежность', 'Совместимость', 'XP', '2003', '2000', 'Outlook', '2008');
$tags[153] = array('Процессор', 'Шина', 'Модуль', 'AMD', 'Intel', 'Слот', 'Чипсет', 'Формфактор', 'Мат.Плата', 'Звук', 'Видео');
$tags[155] = array('Advanced BIOS Feathures', 'Advanced Chipset Feathures', 'Power Management Setup', 'Integrated Peripherals', 'PC Health Status', 'Процессор', 'ОЗУ', 'PnP/PCI Configuration Setup');
$tags[159] = array('Звуковой сигнал', 'Текстовое сообщение', 'Award BIOS', 'AMI BIOS', 'Windows', 'Vista', '2008', 'XP');
$tags[161] = array('Класс', 'Vista', 'Свойство', 'Метод');
$tags[163] = array('Командная  строка', 'Службы', 'MMC', 'Графические', 'Диалоги', 'Недокументированные', 'Windows');
$tags[165] = array('Режим наложения', 'Фильтр', 'Стандартный', 'CS', '~CS', 'CS2', 'CS3', '~CMYK', '~LAB', '~Multichannel', '~Grayscale', '', 'Специфические', 'Служебные', 'Инструменты', 'Меню');
$tags[167] = array('x86', 'SSE', 'Пересылка', 'Math', 'Поиск', 'Переход', 'Строка', 'Флаги', 'MMX', 'AMD 3D', 'x87');
$tags[171] = array('Развлечения', 'Информация', 'Сервисы');
$tags[173] = array('Реестр Windows', 'REG-файл', 'Windows', 'Сценарий', 'WSH', 'INF-файл', 'Функция', 'WMI', 'C++');
$tags[175] = array('Реестр Windows', 'Программы', 'Файл', 'REG-файл', 'INF-файл', 'WSH-файл', 'BAT-файл');
$tags[177] = array('Windows', 'Оболочка', 'Выполнить', 'Панель управления', 'Свойства','Контекстное меню', 'Значок', 'ActiveX', 'RunWizard', 'Надстройка', 'Провайдер', 'Папка', 'Нестандартная');
$tags[179] = array('Vista', 'Админ');
$result = mysql_query("select DISTINCT name from obd_127");
$num_result = mysql_num_rows($result);
for ($i=0; $i<$num_result; $i++){
	$row = mysql_fetch_array($result);
	$tags[129][$i] = $row['name'];	
}

unset($odirection);
$odirection[1]=array('Базы данных');
for($i=1;$i<=count($obase);$i++){
	$odirection[$i + 1]=array($obase[$i][0]);
}
$odirection[$i + 1]=array('Другое');

$bd = "obd_" . $_GET['p'];
$tbl = "tblTag_" . $_GET['p'];
$view = "ocView_" . ($_GET['p'] + 1);
?>